Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kr.ac.kaist.swrc.jhannanum.comm
Class PlainSentence

    java.lang.Object
      kr.ac.kaist.swrc.jhannanum.comm.CommObject
          kr.ac.kaist.swrc.jhannanum.comm.PlainSentence

    public class PlainSentence

extends CommObject

This class contains a plain sentence which is not analyzed yet. It is used by the HanNanum work flow and its plug-ins to communicate each other.

Author:
  Sangwon Park (hudoni@world.kaist.ac.kr), CILab, SWRC, KAIST

Field Summary
`private java.lang.String` | `sentence` The plain sentence.

Constructor Summary
`PlainSentence(int documentID, int sentenceID, boolean endOfDocument)` Constructor.
`PlainSentence(int documentID, int sentenceID, boolean endOfDocument, java.lang.String sentence)` Constructor.

Method Summary
`java.lang.String` | `getSentence()` Getter of the plain sentence.
`void` | `setSentence(java.lang.String sentence)` Setter of the plain sentence.
`java.lang.String` | `toString()` It returns the plain string.

Methods inherited from class kr.ac.kaist.swrc.jhannanum.comm.CommObject
`getDocumentID, getSentenceID, isEndOfDocument, setDocumentID, setEndOfDocument, setSentenceID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sentence

    private java.lang.String sentence

  The plain sentence.

Constructor Detail

### PlainSentence

    public PlainSentence(int documentID,
                         int sentenceID,
                         boolean endOfDocument)

  Constructor.

  Parameters:
    `documentID` - - ID of the document which this sentence belong to
    `sentenceID` - - ID of this sentence
    `endOfDocument` - - If this flag is true, the sentence is the last one of the document.

### PlainSentence

    public PlainSentence(int documentID,
                         int sentenceID,
                         boolean endOfDocument,
                         java.lang.String sentence)

  Constructor.

  Parameters:
    `documentID` - - ID of the document which this sentence belong to
    `sentenceID` - - ID of this sentence
    `endOfDocument` - - If this flag is true, the sentence is the last one of the document.
    `sentence` - - the plain sentence

Method Detail

### getSentence

    public java.lang.String getSentence()

  Getter of the plain sentence.

  Returns:
    the plain sentence

### setSentence

    public void setSentence(java.lang.String sentence)

  Setter of the plain sentence.

  Parameters:
    `sentence` - - the plain sentence

### toString

    public java.lang.String toString()

  It returns the plain string.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the plain string or null when it is not set set up

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD